layaAirIDE 发布flash出错 Error loading: C:\Program Files\Java\jdk1.8.0_31\jre\bin\server\jvm.dll

输出面板显示:
Error loading: C:\Program Files\Java\jdk1.8.0_31\jre\bin\server\jvm.dll
发布flash出错,到底要用什么版本的java环境,直接给你地址下载不行吗,整大半天都发布不出来,
 
用flashDevelop也发布不出来,F5调试报错如下:
Exception: 文件“C:\Users\Administrator\Desktop\laya\bin\LayaUISample.swf”正由另一进程使用,因此该进程无法访问该文件。
已邀请:

cuixueying

赞同来自:

1、需要安装java jdk1.8以上版本
2、这个问题应该不是引擎问题,是你操作的问题,把正在运行的swf和进程关掉,重新发布swf试下。

jianhua928

赞同来自:

1.用layaAirIDE发布flash依然报一样的错误,java JDK是1.8以上的啊,报错信息都说明了啊
2.刚才用flashDevelop发布成功了,是调试报错导致进程中一直存在一个flashplayer debug.exe进程,
  但是发布效果对比:
H5:

aa.png

swf:

bb.png

--flash效果不一致,这么搞不行的哦

naiuty13

赞同来自:

把jdk换成1.8 32 位的就行了

要回复问题请先登录注册